Package twisted :: Package internet :: Module interfaces :: Class ISSLTransport

[frames | no frames]

## Class ISSLTransport

    Interface --+
                |
       ITransport --+
                    |
        ITCPTransport --+
                        |
                       ISSLTransport

A SSL/TLS based transport.

Method Summary
| ``getPeerCertificate`(self)` Return an object with the peer's certificate info.
Inherited from ITCPTransport
| ``getHost`(self)` Returns IPv4Address.
| ``getPeer`(self)` Returns IPv4Address.
| ``getTcpKeepAlive`(self)` Return if SO_KEEPALIVE enabled.
| ``getTcpNoDelay`(self)` Return if TCP_NODELAY is enabled.
| ``setTcpKeepAlive`(self, enabled)` Enable/disable SO_KEEPALIVE.
| ``setTcpNoDelay`(self, enabled)` Enable/disable TCP_NODELAY.
Inherited from ITransport
| ``loseConnection`(self)` Close my connection, after writing all pending data.
| ``write`(self, data)` Write some data to the physical connection, in sequence.
| ``writeSequence`(self, data)` Write a list of strings to the physical connection.

Method Details

### getPeerCertificate(self)

Return an object with the peer's certificate info.

Generated by Epydoc 2.0 on Sat May 15 20:08:30 2004 | http://epydoc.sf.net